summaryrefslogtreecommitdiffstats
path: root/authz-test/src/main/scripts/tc
diff options
context:
space:
mode:
authorsg481n <sg481n@att.com>2017-08-03 17:27:34 -0400
committersg481n <sg481n@att.com>2017-08-03 17:27:34 -0400
commit43854a9e3310ff7a92257d16c4fc0a8321eaec68 (patch)
tree46af936c5da4f9c60d7d63dade5c61a8fd5ef9f4 /authz-test/src/main/scripts/tc
parentf691a8b8dfc9eea4c6b3bfa45ea60f07ad347e69 (diff)
 [AAF-21] Initial code import
Change-Id: I63d7d499bbd46f500b5f5a4db966166f613f327a Signed-off-by: sg481n <sg481n@att.com>
Diffstat (limited to 'authz-test/src/main/scripts/tc')
-rw-r--r--authz-test/src/main/scripts/tc37
1 files changed, 37 insertions, 0 deletions
diff --git a/authz-test/src/main/scripts/tc b/authz-test/src/main/scripts/tc
new file mode 100644
index 00000000..11258490
--- /dev/null
+++ b/authz-test/src/main/scripts/tc
@@ -0,0 +1,37 @@
+# /bin/bash
+mkdir -p runs
+function failed {
+ echo "FAILED TEST! $*"
+ exit 1
+}
+
+if [ "$1" == "" ]; then
+ DIRS=`find TestCases -type d -name "TC_*" -maxdepth 1 | sed "s/^TestCases\///"`
+ if [ "$DIRS" == "" ] ; then
+ echo "Usage: tc <TestCase> [expected]"
+ echo " expected - create the expected response for future comparison"
+ exit 1
+ fi
+else
+ DIRS=$1
+ shift
+fi
+
+for TC in $DIRS; do
+ if [ "$1" = "expected" ]; then
+ SUFFIX=$1
+ cat TestCases/$TC/[0-9]* | aafcli -i 2>&1 | tee TestCases/expected/$TC.$SUFFIX
+ elif [ -d "TestCases/$TC" ]; then
+ SUFFIX=`date "+%Y-%m-%d_%H:%M:%S"`
+ cat TestCases/$TC/[0-9]* | aafcli -i 2>&1 | tee runs/$TC.$SUFFIX > /dev/null
+
+ diff runs/$TC.$SUFFIX TestCases/expected/$TC.expected || failed "[$TC.$SUFFIX]"
+ echo "SUCCESS! [$TC.$SUFFIX]"
+ else
+ echo missed dir
+exit
+ cat $TC | aafcli -i
+ fi
+done
+
+exit 0